import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/profile/profile_settings/domain/bloc/profile_settings_bloc.dart';

@RoutePage()
class ProfileSettingsFlowScreen extends StatelessWidget {
  const ProfileSettingsFlowScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return MultiBlocProvider(providers: [
      BlocProvider<ProfileSettingsBloc>(
        create: (context) => ProfileSettingsBloc(),
      ),
    ], child: const AutoRouter());
  }
}
